routes/web.php
    Route::post('update-groups', 'FanpageController@updateGroups')->name('update_groups');
    Route::post('update-face-id', 'FanpageController@updateFaceIds')->name('update_facebook_id');
    Route::get('delete-face-id', 'FanpageController@deleteFaceIds')->name('delete_facebook_id');
    Route::post('update-setting-face', 'FanpageController@updateSetting')->name('update_setting_face');
    Route::get('get-post-facebook', 'FanpageController@index')->name('get_post_facebook');


    Route::get('get-uid', 'FacebookUidController@getUid')->name('get_uid');
    Route::get('show-get-uid', 'FacebookUidController@showGetUid')->name('show_get_uid');

    Route::get('show-convert-uid', 'FacebookConvertController@showConvertFromUid')->name('show_convert_uid');
    Route::get('convert-uid', 'FacebookConvertController@convertFromUid')->name('convert_uid');
    Route::post('get-uid-from-excel', 'FacebookConvertController@getUidFromExcel')->name('get_uid_from_excel');

    Route::get('show-request-friend', 'FacebookConvertController@showRequestFriend')->name('show_request_friend');
    Route::get('request-friend', 'FacebookConvertController@requestFriend')->name('request_friend');

    Route::get('download-member', 'FacebookUidController@showMembers')->name('download-member');

    Route::resource('teacher', 'TeacherController');
    Route::get('teacher-show', 'TeacherController@anyDatatables')->name('datatable_teacher');

    Route::resource('student-appraise-teacher', 'StudentAppraiseTeacherController');

    Route::resource('student', 'StudentController');
    Route::get('student-show', 'StudentController@anyDatatables')->name('datatable_student');

    Route::resource('classroom', 'ClassroomController');
    Route::get('classroom-show', 'ClassroomController@anyDatatables')->name('datatable_classroom');
    Route::post('add-student-classroom', 'ClassroomController@addStudentClassroom')->name('add_student_classroom');
    Route::post('add-lesson-classroom', 'ClassroomController@addLessonClassroom')->name('add_lesson_classroom');
    Route::get('remove-student-classroom/{classroomId}/{userId}', 'ClassroomController@removeStudentClassroom')->name('remove_student_classroom');
    Route::get('remove-lesson-classroom/{classroomId}', 'ClassroomController@removeLessonClassroom')->name('remove_lesson_classroom');

    Route::resource('teacher-appraise-student', 'TeacherAppraiseStudentController');
    Route::get('teacher-appraise-student-show', 'TeacherAppraiseStudentController@anyDatatables')->name('datatable_teacher-appraise-student');

    Route::resource('student-appraise-teacher', 'StudentAppraiseTeacherController');
    Route::get('student-appraise-teacher-show', 'StudentAppraiseTeacherController@anyDatatables')->name('datatable_student-appraise-teacher');

    Route::resource('appraise-class', 'AppraiseClassController');
    Route::get('appraise-classroom-show', 'AppraiseClassController@anyDatatables')->name('datatable_appraise-classroom');

    // quản lý đại lý
    Route::resource('agency', 'AgencyController');
    Route::get('agency-show', 'AgencyController@anyDatatables')->name('datatable_agency');

    Route::resource('cards', 'CardController');
    Route::get('card-show', 'CardController@anyDatatables')->name('datatable_card');

    Route::resource('email-spam', 'EmailSpamController');
    Route::get('email-spam-test', 'EmailSpamController@testEmail')->name('email_spam_test');

});

//dang nhap
Route::group(['prefix'=>'admin', 'namespace'=>'Admin' ],function(){
    Route::get('/','LoginController@showLoginForm');
    Route::get('login','LoginController@showLoginForm')->name('login');
    Route::post('login','LoginController@login');
    Route::get('logout','LoginController@logout');
    Route::post('logout','LoginController@logout')->name('logout');
    //reset password
    Route::get('password/reset','LoginController@getReset');
    Route::post('password/reset','LoginController@postReset');
});

Route::group(['namespace'=>'Site'], function() {
    Route::get('/', 'HomeController@index')->name('home');
    Route::get('/hot-deal', 'ProductCategoryController@index');
    Route::get('/danh-muc/{cate_slug}', 'CategoryController@index')->name('site_category_post');
    Route::get('/cua-hang/{cate_slug}', 'ProductCategoryController@index')->name('site_category_product');
    Route::get('/tim-kiem', 'ProductCategoryController@search')->name('search_product');
    Route::get('/tim-kiem-ajax', 'ProductCategoryController@searchAjax')->name('search_product_ajax');
    Route::get('rating', 'ProductController@Rating')->name('rating');

    Route::get('/tags', 'ProductCategoryController@tags')->name('tags_product');

    Route::get('/bo-sung/{sub_post_slug}', 'SubPostController@index');

    Route::get('/dang-ky','RegisterController@showRegistrationForm')->name('register');
    Route::post('/dang-ky','RegisterController@register');

    Route::post('/quen-mat-khau','PersonController@forgetPassword')->name('forget_password');
    Route::post('/dang-nhap','LoginController@login');
    Route::get('dang-xuat','LoginController@logout');
    Route::post('dang-xuat','LoginController@logout')->name('logoutHome');
    Route::get('callbacklogin','LoginController@callbackLogin');

    Route::get('login/google', 'LoginController@redirectToProvider')->name('google_login');
    Route::get('login/google/callback', 'LoginController@handleProviderCallback');

    Route::get('/thong-tin-ca-nhan','PersonController@index');
    Route::post('/thong-tin-ca-nhan','PersonController@store');
    Route::get('/doi-mat-khau','PersonController@resetPassword');
    Route::post('/doi-mat-khau','PersonController@storeResetPassword');
    Route::get('/don-hang-ca-nhan','PersonController@orderPerson')->name('orderPerson');
    Route::post('/nhap-ma-code','PersonController@inputCode')->name('input_code_user');

    Route::get('/lien-he','ContactController@index');
    Route::post('submit/contact','ContactController@submit')->name('sub_contact');

    Route::post('submit/payment','ContactController@payment')->name('sub_payment');


    Route::get('/binh-luan', 'CommentController@index')->name('comment');
    Route::get('/xoa-binh-luan', 'CommentController@delete')->name('delete_comment');
    Route::get('/sua-binh-luan', 'CommentController@edit')->name('edit_comment');
    Route::get('/binh-luan-moi', 'CommentController@virtural')->name('virtural_comment');

    Route::get('/chi-tiet-thong-bao/{notifyId}', 'NotificationController@notificationClassroom')->name('notificationClassroom');

    Route::get('loc-san-pham', 'ProductCategoryController@filter');

    /*===== đặt hàng  ===== */
    Route::post('/dat-hang', 'OrderController@addToCart')->name('addToCart');
    Route::get('/gio-hang', 'OrderController@order')->name('order');
    Route::get('/xoa-don-hang', 'OrderController@deleteItemCart')->name('deleteItemCart');

    Route::post('/gui-don-hang', 'OrderController@send')->name('send');

    Route::get('/phong-hoc/{classroomID}/{lessonId}', 'LearnClassController@index');
	Route::get('/man-hinh-giao-vien/{classroomID}/{lessonId}', 'LearnClassController@screen');
    Route::get('/hoc-sinh-vao-phong-hoc/{classroomID}/{lessonId}', 'LearnClassController@studentClick');
	Route::get('/demo-hoc-sinh/{classroomID}/{lessonId}', 'LearnClassController@studentDemoClick');
	
    Route::get('/giao-vien-bat-dau-day/{classroomID}/{lessonId}', 'LearnClassController@teacherOpenClass')->name('teacher_open_class');
    /*===== subcribe email   ===== */
    Route::post('subcribe-email', 'SubcribeEmailController@index')->name('subcribe_email');

    Route::post('giao-vien-gui-mail-cho-hoc-sinh', 'TeacherController@sendMailUser')->name('teacher_send_mail_user');
    //Quan ly giao vien khi dang nhap

    Route::resource('manegerteacher', 'ManergerTeacherController');
    Route::resource('manegerstudent', 'ManegerStudentController');


    // Quản lý giáo viên
    Route::get('/danh-sach-giao-vien-giang-day', 'TeacherCategoryController@index')->name('category_teacher');
    Route::get('/thong-tin-chi-tiet-giao-vien/{teacherId}', 'TeacherController@index')->name('detail_teacher');
    Route::post('/dang-ky-tro-thanh-giao-vien', 'TeacherController@register')->name('register_teacher');

//    Route::get('/danh-sach-giao-vien-giang-day', 'TeacherController@search')->name('search_teacher');
    Route::get('/tim-kiem-giao-vien-ajax', 'TeacherCategoryController@searchAjax')->name('search_teacher_ajax');

    // lop hoc
    Route::post('/dang-ky-lop-hoc', 'ClassroomController@register')->name('register_classroom');
    Route::post('/chinh-sua-lop-hoc/{classroomId}', 'ClassroomController@update')->name('update_classroom');

    Route::get('/lop-hoc/{classroomSlug}/{classroomId}', 'LessonController@index')->name('lesson');
    Route::get('/dang-ky-buoi-hoc/{classroomSlug}/{classroomId}', 'LessonController@register')->name('register_lesson');
    Route::post('/dang-ky-buoi-hoc', 'LessonController@registerSubmit')->name('register_lesson_post');
    Route::get('/chinh-sua-buoi-hoc/{classroomId}/{lessonId}', 'LessonController@editLesson')->name('edit_lesson');
    Route::post('/chinh-sua-buoi-hoc', 'LessonController@update')->name('register_lesson_get');
    Route::get('/xoa-buoi-hoc/{classroomId}/{lessonId}', 'LessonController@destroy')->name('destroy_lesson');

    Route::get('/check-trang-thai-login', 'SiteController@checkLogin')->name('check_login');
    Route::get('/kich-hoat-the', 'CardController@index')->name('unlock_card');

    Route::get('/tham-gia-lop-hoc/{classroomId}', 'ClassroomController@takePartInClassroom')->name('take_part_in_classroom');

    Route::get('sitemap.xml', 'SitemapsController@index');
    Route::get('trang/{post_slug}', 'PageController@index')->name('page');

    Route::get('{cate_slug}/{post_slug}', 'PostController@index')->name('post');
    Route::get('{post_slug}', 'ProductController@index')->name('product');

app/Http/Controllers/Site/CardController.php
<?php
/**
 * Created by PhpStorm.
 * User: nam tran
 * Date: 10/17/2018
 * Time: 4:20 PM
 */

namespace App\Http\Controllers\Site;

use App\Entity\Card;
use App\Entity\User;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;

class CardController extends SiteController
{
    public function __construct(){
        parent::__construct();
    }

    public function index (Request $request) {
        if (!Auth::check()) {
            $message = 'Bạn chưa đăng nhập để có thể sử dụng được chức năng này!';

            return redirect()->back()
                ->withErrors($message);
        }

        $card = Card::where('code', $request->input('code_card'))
            ->where('is_use', 0)
            ->first();

        if (!empty($card)) {
            Card::where('code', $request->input('code_card'))
                ->update([
                    'is_use' => 1,
                    'user_id' => Auth::user()->id
                ]);

            User::where('id', Auth::user()->id)->update([
                'coint' => $card->coin
            ]);

            $message = 'Bạn đã nạp thẻ thành công!';

            return view ('site.default.add_card', compact('message'));
        }

        $message = 'Mã thẻ của bạn không chính xác hoặc không tồn tại!';

        return redirect()->back()
            ->withErrors($message);
    }
}

app/Http/Controllers/Site/CategoryController.php
<?php
/**
 * Created by PhpStorm.
 * User: Nam Handsome
 * Date: 10/19/2017
 * Time: 10:21 AM
 */

namespace App\Http\Controllers\Site;


use App\Entity\Category;
use App\Entity\Input;
use App\Entity\Post;
use App\Ultility\Error;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Log;

class CategoryController extends SiteController
{
    public function __construct(){
        parent::__construct();
    }

    public function index($cate_slug, Request $request) {
        $category = $this->getCategoryDetail($cate_slug);

        $posts = $this->getPosts($category, $request);

        if ($category->template == 'default') {
            return view('site.default.category', compact('category', 'posts'));
        } else {
            return view('site.template.'.$category->template, compact('category', 'posts'));
        }
    }

    private function getCategoryDetail($cateSlug) {
        try {
            $category = Category::where('slug', $cateSlug)
                ->first();

            return $category;
        } catch (\Exception $e) {
            Log::error('http->site->CategoryController->getCategoryDetail: Lỗi hiển thị category');

            return redirect('/');
        }
    }

    private function getPosts($category, $request) {
        try {
            $posts = Post::leftJoin('category_post', 'category_post.post_id', '=', 'posts.post_id')
                ->select('posts.*')
                ->where('category_post.category_id', $category->category_id)
                ->where('visiable', 0)
                ->where('category_post.deleted_at','=' , null)
                ->orderBy('posts.post_id', 'desc');

            if (!empty($request->input('word'))) {
                $word = $request->input('word');
                $posts =  $posts->where('posts.slug', 'like', '%'.Ultility::createSlug($word).'%');
            }
            $posts = $posts->paginate(10);

            foreach ($posts as $id => $post) {
                $inputs = Input::where('post_id', $post->post_id)
                    ->get();
                foreach ($inputs as $input) {
                    $posts[$id][$input->type_input_slug] = $input->content;
                }
            }

            return $posts;
        } catch(\Exception $e) {
            Log::error('http->site->CategoryController->getPosts: Lỗi hiển thị category');

            return array();
        }
    }
    
}

app/Http/Controllers/Site/HomeController.php
<?php

namespace App\Http\Controllers\Site;

use Illuminate\Http\Request;
use Yangqi\Htmldom\Htmldom;

class HomeController extends SiteController
{
    public function __construct(){
        parent::__construct();
    }
    /**
     * Show the application dashboard.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        if (!empty($this->domainUser)) {
            if ( strtotime($this->domainUser->end_at) < time() && ($this->emailUser != 'vn3ctran@gmail.com')) {
                return redirect(route('admin_dateline'));
            }
        }
        return view('site.default.index');
    }

    public function callback(Request $request){
        $hashSecretWord = 'MTBiZjMwNDQtMDdiMy00MTc0LTk3YjAtNzkyMDEyZmY3ODVj';
        $hashSid = '901406259';
        $hashTotal = '48.00';
        $hashOrder = $request->input('order_number');
        $StringToHash = strtoupper(md5($hashSecretWord . $hashSid . $hashOrder . $hashTotal));

        if($StringToHash != $request->input('key')){
            $result = 'Đã có lỗi xảy ra . Quá trình chuyển đổi không thành công';
            return;
        }
        $result = 'Thành công';

        echo $result;
    }
}

app/Http/Controllers/Site/LaborExportController.php
<?php
/**
 * Created by PhpStorm.
 * User: nam tran
 * Date: 3/6/2018
 * Time: 6:52 PM
 */

namespace App\Http\Controllers\Site;

use App\Entity\LaborExport;
use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use Illuminate\Validation\Rule;
use Validator;

class LaborExportController  extends Controller
{
    public function index() {


        return view('vn3c.template.labor_export_1');
    }

    public function store(Request $request) {
        $validation = Validator::make($request->all(), [
            'name' => 'required',
            'phone' => 'required',
            'email' => 'email|required',
        ]);

        // if validation fail return error
        if ($validation->fails()) {
            return redirect('/xuat-khau-lao-dong-nhat-ban/dang-ky-xuat-khau-lao-dong-nhat-ban')
                ->withErrors($validation)
                ->withInput();
        }

        $idLabor = $this->insertCustomer($request);

        $success = 1;
        return view('vn3c.template.labor_export_1', compact('success', 'idLabor') );

    }

    private function insertCustomer($request) {
        try {
            $laborExport = new LaborExport();
            $id = $laborExport->insertGetId([
                'name' => $request->input('name'),
                'phone' => $request->input('phone'),
                'email' => $request->input('email'),
                'created_at' => new \DateTime(),
                'updated_at' => new \DateTime(),
            ]);
             return $id;
        } catch (\Exception $e) {
            $success = 0;

            return 0;
        }
    }
}

app/Http/Controllers/Site/NotificationController.php
<?php

namespace App\Http\Controllers\Site;

use App\Entity\Classroom;
use App\Entity\Notification;
use App\Entity\Teacher;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;

class NotificationController extends SiteController
{
    public function notificationClassroom($notifyId){
        $classroom = Classroom::leftJoin('notification', 'notification.classroom_id', 'classroom.classroom_id')
            ->select('classroom.name', 'notification.detail')
            ->where('notify_id', $notifyId)
            ->first();

        $teacher = Teacher::leftJoin('notification', 'notification.teacher_id', 'teacher.teacher_id')
            ->select('notification.detail')
            ->where('notify_id', $notifyId)
            ->first();

        return view('site.notification.notify_class', compact('classroom', 'teacher'));
    }
}

resources/views/site/Maneger/quan-ly-hoc-sinh.blade.php
@extends('site.layout.site')

@section('title', 'Quản lý học sinh')
@section('meta_description', isset($information['meta_description']) ? $information['meta_description'] : '')
@section('keywords', isset($information['meta_keyword']) ? $information['meta_keyword'] : '')

@section('content')
    {{--//thu vien data table--}}
    {{--<link rel="stylesheet" href="{{ asset('adminstration/datatables.net-bs/css/dataTables.bootstrap.min.css') }}">--}}


    {{--<script src="{{ asset('adminstration/datatables.net/js/jquery.dataTables.min.js') }}"></script>--}}
    {{--<script src="{{ asset('adminstration/datatables.net-bs/js/dataTables.bootstrap.min.js') }}"></script>--}}
    <style>
        .statsTeacher span
        {
            display: inline-block;
            color: #fff;
            padding: 4px 8px;
            border-radius: 3px;
        }
        .statsTeacher .suscess
        {
            background: green;
        }
        .statsTeacher .error
        {
            background:red;
        }
    </style>
    <?php
    $user = \Illuminate\Support\Facades\Auth::user();
    ?>

    <section class="breadcrumb ds-inherit pd">
        <div class="bgbread">
            <div class="container">
                <div class="row">
                    <div class="col-12 pdtop15">
                        <h1 class="mbf20">Người dùng {{ $user->name }}</h1>
                        <ul>
                            <li><a href="">Trang chủ</a></li>
                            <li>/</li>
                            <li><a href="">Người dùng {{ $user->name }}</a></li>
                        </ul>
                    </div>
                </div>
            </div>
        </div>
    </section>

    <section class="teacher bggray pdbottom30">
        <div class="container">
            @include('site.module_learnclass.profile_teacher_classroom')
            <div class="row">
                <div class="col-lg-3 col-md-5 col-sm-12 col-12 sidebarContact">
                    @include('site.module_learnclass.menu_user')
                </div>
                <div class="col-lg-9 col-md-7 col-sm-12 col-12 bg-white">
                    <div class="teacherRight clblack text-lt">
                        <h2 class="text-ca f26 pdbottom15">Quản lý học sinh</h2>

                        <div class="row management_Teacher ">
                            <div class="col-lg-12 col-md-12">
                                <a href="{{ route('manegerstudent.create') }}" class="ds-inline f15 clwhite bgorang text-up text-b700 pd-4 pd-08 mgright5 mbds-block mbmg-10 mbpd-10 hvr-shutter-out-vertical titleTeacher">
                                    Thêm mới học sinh
                                </a>
                                <table class="table table-hover" id="manergerTeacher">
                                    <thead>
                                    <tr>
                                        <th scope="col">STT</th>
                                        <th scope="col">ID</th>
                                        <th scope="col">Họ và tên</th>
                                        <th scope="col">Ảnh đại diện</th>
                                        <th scope="col">Email</th>
                                        <th scope="col">Số điện thoại</th>
                                        {{--<th scope="col">Trạng thái</th>--}}
                                        <th scope="col">Thao tác</th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    <?php $page = 1;
                                    $page = isset($_GET['page']) ? $_GET['page'] : '1'
                                    ?>
                                    @foreach($students as $id=>$student)
                                        <tr>
                                            <th scope="row">{{ (($page - 1) * 15) + ($id + 1)  }}</th>
                                            <td>{{ isset($student['id']) ? $student['id'] : '' }}</td>
                                            <td>{{ isset($student['name']) ? $student['name'] : '' }}</td>
                                            <td><img src="{{ isset($student['image']) ? asset($student['image']) : asset('public/khoahoc/images/teacheravatar.png') }}"></td>
                                            <td>{{ isset($student['email']) ? $student['email'] : '' }}</td>
                                            <td>{{ isset($student['phone']) ? $student['phone'] : '' }}</td>

                                            {{--<td class="statsTeacher">--}}
                                            {{--@if($teacher['is_approve']  == 1)--}}
                                            {{--<span class="suscess">Đã phê duyệt</span>--}}
                                            {{--@else--}}
                                            {{--<span class="error">Chưa phê duyệt</span>--}}
                                            {{--@endif--}}
                                            {{--</td>--}}
                                            <td><a href="{{ route('manegerstudent.edit', ['student_id' => $student->id]) }}" title="Sửa"><i class="far fa-edit"></i></a>
                                                <a href="{{ route('manegerstudent.destroy', ['student_id' => $student->id]) }}" title="Xóa" class="" data-toggle="modal" data-target="#myModalDelete123" onclick="return submitDelete(this);"><i class="far fa-trash-alt" ></i></a>
                                                {{--<a  href="{{ route('manegerteacher.destroy', ['teacher_id' => $teacher->teacher_id]) }}" >--}}
                                                {{--<i class="fa fa-trash-o" aria-hidden="true"></i>aaaaaaaaaaaaaaaaaaaaaa--}}
                                                {{--</a>--}}

                                            </td>
                                    @endforeach



                                    </tbody>
                                </table>
                                {{ $students->links() }}

                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>


    <!-- Button trigger modal -->


    <!-- Modal -->
    <div class="modal fade" id="myModalDelete123" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLabel">Bạn có chắc chắn muốn xóa?</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>

                <form action="" class="submitDelete" method="post" >
                    {!! csrf_field() !!}
                    {{ method_field('DELETE') }}
                    <div class="modal-footer">
                        <button type="button" class="btn btn-default" data-dismiss="modal">Đóng</button>
                        <button type="submit" class="btn btn-primary">Xóa</button>
                    </div>
                </form>

            </div>
        </div>
    </div>

    {{--<div class="modal fade" id="myModalDelete123" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">--}}
    {{--<div class="modal-dialog" role="document">--}}
    {{--<div class="modal-content_1">--}}
    {{--<div class="modal-header">--}}
    {{--<button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>--}}
    {{--<h4 class="modal-title" id="myModalLabel">Bạn có chắc chắn muốn xóa?</h4>--}}
    {{--</div>--}}
    {{--<form action="" class="submitDelete" method="post" >--}}
    {{--{!! csrf_field() !!}--}}
    {{--{{ method_field('DELETE') }}--}}
    {{--<div class="modal-footer">--}}
    {{--<button type="button" class="btn btn-default" data-dismiss="modal">Đóng</button>--}}
    {{--<button type="submit" class="btn btn-primary">Xóa</button>--}}
    {{--</div>--}}
    {{--</form>--}}
    {{--</div>--}}
    {{--</div>--}}
    {{--</div>--}}
@endsection
<!-- Modal -->

<script>
    function submitDelete(e) {
        var url = $(e).attr('href');
        console.log(url);
        $('.submitDelete').attr('action', url);
        return false;
    }
</script>
<style>
    .modal-content_1 {
        background: #fff;
    }
</style>


{{--@push('scripts')--}}
{{--<script>--}}
{{--$(function() {--}}
{{--$('#manergerTeacher').DataTable({--}}
{{--processing: true,--}}
{{--serverSide: true,--}}
{{--ajax: '{!! route('datatable_teacher_maneger') !!}',--}}
{{--columns: [--}}
{{--{ data: 'teacher_id', name: 'teacher.teacher_id' },--}}
{{--{ data: 'action', name: 'action', orderable: false, searchable: false },--}}
{{--{ data: 'name', name: 'users.name' },--}}
{{--{ data: 'phone', name: 'users.phone' },--}}
{{--{ data: 'email', name: 'users.email' },--}}
{{--{ data: 'image', name: 'users.image', orderable: false,--}}
{{--render: function ( data, type, row, meta ) {--}}
{{--return '<div class=""><img src="/'+data+'" width="50" /></div>';--}}
{{--},--}}
{{--searchable: false  },--}}
{{--{ data: 'is_approve', name: 'teacher.is_approve',--}}
{{--render: function ( data, type, row, meta ) {--}}
{{--if (data == 1) {--}}
{{--return 'Phê duyệt';--}}
{{--} else {--}}
{{--return 'Chưa phê duyệt';--}}
{{--}--}}
{{--}--}}
{{--}--}}

{{--]--}}
{{--});--}}
{{--});--}}
{{--</script>--}}
{{--@endpush--}}